Get parlay
curl --request GET \
--url https://api.totalis.trade/v1/rfqs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totalis.trade/v1/rfqs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totalis.trade/v1/rfqs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"bet_amount": 123,
"implied_probability": 123,
"legs": [
{
"leg_index": 123,
"market_ticker": "<string>",
"event_ticker": "<string>",
"market_title": "<string>",
"event_title": "<string>",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"venue_url": "<string>",
"image_url": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"current_yes_price": 0.5,
"current_no_price": 0.5
}
],
"quotes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_odds": 500.50005,
"user_cost": 123,
"mm_cost": 123,
"total_payout": 123,
"leg_prices": [
{
"leg_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leg_odds": 123
}
],
"valid_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"accepted_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_maker_id": "<string>",
"position_pda": "<string>",
"position_id": "<string>",
"position_error": "<string>",
"cancellation_reason": "<string>",
"is_failed": true,
"fee_amount": 123,
"settlement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout": 123,
"user_stake": 123,
"mm_risk": 123,
"fee_amount": 123,
"settle_tx": "<string>",
"settled_at": "2023-11-07T05:31:56Z"
},
"settled_at": "2023-11-07T05:31:56Z",
"cashout": {
"realized_pnl": 123,
"amount": 123,
"mm_pays_user": true,
"cashed_out_at": "2023-11-07T05:31:56Z"
},
"create_position_tx": "<string>",
"settle_tx": "<string>",
"cancel_tx": "<string>",
"buyback_tx": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Parlays
Get Parlay
Fetch one parlay (RFQ) by id, with quotes and — once terminal — its settlement detail (per leg outcomes, payout, and settle/buyback transaction).
GET
/
v1
/
rfqs
/
{id}
Get parlay
Was this page helpful?
⌘I
